Universal Ledger API

Universal Ledger API。

服務:universalledger.googleapis.com

服務端點

服務端點是能指定 API 服務網路位址的基準網址。一項服務可能有多個服務端點,而這項服務有下列服務端點,以及和該服務端點相關的所有 URI:

  • https://universalledger.googleapis.com

區域性服務端點

區域性服務端點是指定單一區域中 API 服務網路位址的基準網址。如果服務在多個區域提供,可能會有數個區域端點。選取位置,即可查看這項服務的區域服務端點。


  • https://universalledger.googleapis.com
  • REST 資源:v1.projects.locations

    方法
    get GET /v1/{name=projects/*/locations/*}
    取得位置的相關資訊。
    list GET /v1/{name=projects/*}/locations
    列出這項服務支援位置的相關資訊。

    REST 資源:v1.projects.locations.endpoints

    方法
    get GET /v1/{name=projects/*/locations/*/endpoints/*}
    取得特定端點的詳細資料。
    list GET /v1/{parent=projects/*/locations/*}/endpoints
    列出指定專案和位置的所有端點。
    queryAccount
    (deprecated)
    GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryAccount
    已淘汰:請改用 QueryData 方法。
    queryData POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryData
    查詢網路,取得儲存在帳本上的資訊,例如帳戶和交易。
    queryTransactionState
    (deprecated)
    GET /v1/{endpoint=projects/*/locations/*/endpoints/*}:queryTransactionState
    已淘汰:請改用 QueryData 方法。
    submitOperationalTransaction POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitOperationalTransaction
    將作業交易提交至網路。
    submitTransaction POST /v1/{endpoint=projects/*/locations/*/endpoints/*}:submitTransaction
    將交易提交至網路。